count_mutual_node_pairs {DiagrammeR} | R Documentation

## Get the number of mutally-connected node pairs

### Description

Get the number of mutally-connected node pairs. This works for directed graphs.

### Usage

    count_mutual_node_pairs(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a single numeric value representing the number of mutually-connected node pairs.

### Examples

    # Create a cycle graph
    graph <-
      create_graph() %>%
      add_cycle(n = 5)

    # Get a count of mutally-connected
    # node pairs
    count_mutual_node_pairs(graph)
    #> [1] 0

    # Create a full graph and then
    # count the mutally-connected
    # node pairs
    create_graph() %>%
      add_full_graph(n = 10) %>%
      count_mutual_node_pairs()
    #> [1] 45

[Package DiagrammeR version 0.9.2 Index]